summaryrefslogtreecommitdiff
path: root/rust-analyzer.sh
diff options
context:
space:
mode:
Diffstat (limited to 'rust-analyzer.sh')
-rwxr-xr-xrust-analyzer.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/rust-analyzer.sh b/rust-analyzer.sh
new file mode 100755
index 0000000..a1240b2
--- /dev/null
+++ b/rust-analyzer.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+# this script is a temporary workaround for not having a proper clippy-json target
+
+source /etc/profile
+
+cd build || exit $?
+
+# compile as far as we can
+ninja
+
+ninja clippy-json